> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Create a pull request

POST https://api.getpostman.com/collections/{collectionId}/pull-requests
Content-Type: application/json

Creates a pull request for a forked collection into its parent collection.

Reference: https://learning.postman.com/api-docs/api-reference/collections/create-collection-pull-request

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /collections/{collectionId}/pull-requests:
    post:
      operationId: createCollectionPullRequest
      summary: Create a pull request
      description: >-
        Creates a pull request for a forked collection into its parent
        collection.
      tags:
        - collections
      parameters:
        - name: collectionId
          in: path
          description: The collection's unique ID.
          required: true
          schema:
            $ref: '#/components/schemas/collectionUid'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pullRequestCreated'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CreateCollectionPullRequestRequestInternalServerError
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/pullRequestCreate'
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    collectionUid:
      type: string
      format: uid
      title: collectionUid
    pullRequestCreate:
      type: object
      properties:
        title:
          type: string
          description: The title of the pull request.
        description:
          type: string
          description: The pull request's description.
        reviewers:
          type: array
          items:
            type: string
          description: A list of reviewers to assign to the pull request.
        destinationId:
          type: string
          description: The collection ID to merge the pull request into.
      required:
        - title
        - reviewers
        - destinationId
      description: Information about the pull request.
      title: pullRequestCreate
    pullRequestCreated:
      type: object
      properties:
        createdAt:
          type: string
          description: The date and time at which the pull request was created.
        createdBy:
          type: string
          description: The ID of the user who created the pull request.
        description:
          type: string
          description: The pull request's description.
        destinationId:
          type: string
          description: The pull request's merge destination ID.
        id:
          type: string
          description: The pull request's ID.
        sourceId:
          type: string
          description: The pull request's source (parent) ID.
        status:
          type: string
          description: The pull request's current status.
        title:
          type: string
          description: The pull request's title.
        updatedAt:
          type: string
          description: The date and time at which the pull request was updated.
      title: pullRequestCreated
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    CommonErrorTypeTitleDetailDetail:
      oneOf:
        - type: string
        - type: object
          additionalProperties:
            description: Any type
      description: Information about the error.
      title: CommonErrorTypeTitleDetailDetail
    commonErrorTypeTitleDetail:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailDetail'
          description: Information about the error.
      title: commonErrorTypeTitleDetail
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    CreateCollectionPullRequestRequestInternalServerError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: CreateCollectionPullRequestRequestInternalServerError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples



**Request**

```json
{
  "title": "Test PR",
  "reviewers": [
    "87654321",
    "56781234"
  ],
  "destinationId": "12345678-ec548788-unftw-rgn8-83b8-0b59798648e4",
  "description": "This is a test pull request."
}
```

**Response**

```json
{
  "createdAt": "2024-02-20T09:55:46.000Z",
  "createdBy": "12345678",
  "description": "This is a test pull request.",
  "destinationId": "12345678-ec548788-unftw-rgn8-83b8-0b59798648e4",
  "id": "4e1a6609-1a29-4037-a411-89ecc14c6cd8",
  "sourceId": "87654321-3b79068c-dbe5-41d5-a826-51be4bf646ef",
  "status": "open",
  "title": "Test PR",
  "updatedAt": "2024-02-20T09:58:57.000Z"
}
```

**SDK Code**

```python Collections_createCollectionPullRequest_example
import requests

url = "https://api.getpostman.com/collections/12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2/pull-requests"

payload = {
    "title": "Test PR",
    "reviewers": ["87654321", "56781234"],
    "destinationId": "12345678-ec548788-unftw-rgn8-83b8-0b59798648e4",
    "description": "This is a test pull request."
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Collections_createCollectionPullRequest_example
const url = 'https://api.getpostman.com/collections/12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2/pull-requests';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"title":"Test PR","reviewers":["87654321","56781234"],"destinationId":"12345678-ec548788-unftw-rgn8-83b8-0b59798648e4","description":"This is a test pull request."}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Collections_createCollectionPullRequest_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/collections/12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2/pull-requests"

	payload := strings.NewReader("{\n  \"title\": \"Test PR\",\n  \"reviewers\": [\n    \"87654321\",\n    \"56781234\"\n  ],\n  \"destinationId\": \"12345678-ec548788-unftw-rgn8-83b8-0b59798648e4\",\n  \"description\": \"This is a test pull request.\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Collections_createCollectionPullRequest_example
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/collections/12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2/pull-requests")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"title\": \"Test PR\",\n  \"reviewers\": [\n    \"87654321\",\n    \"56781234\"\n  ],\n  \"destinationId\": \"12345678-ec548788-unftw-rgn8-83b8-0b59798648e4\",\n  \"description\": \"This is a test pull request.\"\n}"

response = http.request(request)
puts response.read_body
```

```java Collections_createCollectionPullRequest_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.getpostman.com/collections/12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2/pull-requests")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"title\": \"Test PR\",\n  \"reviewers\": [\n    \"87654321\",\n    \"56781234\"\n  ],\n  \"destinationId\": \"12345678-ec548788-unftw-rgn8-83b8-0b59798648e4\",\n  \"description\": \"This is a test pull request.\"\n}")
  .asString();
```

```php Collections_createCollectionPullRequest_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.getpostman.com/collections/12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2/pull-requests', [
  'body' => '{
  "title": "Test PR",
  "reviewers": [
    "87654321",
    "56781234"
  ],
  "destinationId": "12345678-ec548788-unftw-rgn8-83b8-0b59798648e4",
  "description": "This is a test pull request."
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Collections_createCollectionPullRequest_example
using RestSharp;

var client = new RestClient("https://api.getpostman.com/collections/12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2/pull-requests");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"title\": \"Test PR\",\n  \"reviewers\": [\n    \"87654321\",\n    \"56781234\"\n  ],\n  \"destinationId\": \"12345678-ec548788-unftw-rgn8-83b8-0b59798648e4\",\n  \"description\": \"This is a test pull request.\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Collections_createCollectionPullRequest_example
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "title": "Test PR",
  "reviewers": ["87654321", "56781234"],
  "destinationId": "12345678-ec548788-unftw-rgn8-83b8-0b59798648e4",
  "description": "This is a test pull request."
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/collections/12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2/pull-requests")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```